<?php
	require_once("../../includes/bootstrap2.php");
	$sesion=new sesion();
	$academia=bootstrap::initBd($sesion->get('anio'));
	/** Error reporting */
	error_reporting(E_ALL);
	ini_set('display_errors', true);
	ini_set('display_startup_errors', true);
	date_default_timezone_set('America/Bogota');
	/*Se establecen los encabezados para que el navegador interprete que descargará un archivo de Excel.*/

header('Content-type: application/vnd.ms-excel;charset=utf-8');
header("Content-Disposition: attachment; filename=oportunidad.xls");
header("Pragma: no-cache");
header("Expires: 0");

	//echo ini_get("memory_limit");
//	ini_set('memory_limit', '256M');
	
	if (PHP_SAPI == 'cli')
		die('Esta aplicación no corre en este navegador');
	
	
	$iduser=$sesion->get('ac_userid');
	
	$iduser=$sesion->get('ac_userid');
	$configuracion=$sesion->get('configuracion');
	$nombre_grupo=$configuracion['nombres_grupos'];
	
	$sede=$academia->escapar($_GET['sede']); 
	$grupo=$academia->escapar($_GET['grupo']); 
	$periodon=$academia->escapar($_GET['peri']);
	$informacion=$academia->escapar($_GET['info']);
	$materias=$academia->escapar($_GET['mate']);
	
	if($informacion==3){
		$sede=-1;
	}
	if($informacion==2){
		$grupo=-1;
	}
	if($informacion==1){
		$grupo=-1;
		$sede=-1;
	}
	
	switch ($periodon) {
	case 1:
		$periodo= "Primero";
	break;
	case 2:
		$periodo= "Segundo";
	break;
	case 3:
		$periodo= "Tercero";
	break;
	case 4:
		$periodo= "Cuarto";
	break;
	case 5:
		$periodo= "Quinto";
	break;
	case 6:
		$periodo= "Sexto";
	break;
	case 7:
		$periodo= "Séptimo";
	break;
	case 8:
		$periodo= "Octavo";
	break;
	case 9:
		$periodo= "Noveno";
	break;
	case 10:
		$periodo= "Décimo";
	break;
	case 11:
		$periodo= "Décimo Primero";
	break;
	case 12:
		$periodo= "Décimo Segundo";
	break;
	} 

	
	

	$sql="CALL SP_REP_DES_MATERIAS($periodon,$grupo,$sede,$materias,'$nombre_grupo',$iduser)";
	$academia->instruccion($sql,0,1); 
	
	
	$filOrg=6;
	$colOrg=3;
	$col=$colOrg;
	$fil=$filOrg;
	
	$fil++;
	echo "<table>";
	while($row=$academia->extraer_registro()){
		$col=$colOrg;
		echo "<tr>";
			echo "<td>".$row['nom_sede']."</td>";
			echo "<td>".$row['nom_jornada']."</td>";
			echo "<td>".$row['nom_grado']."</td>";
			echo "<td>".$row['nom_grupo']."</td>";
			echo "<td>".$row['estudiante']."</td>";
			echo "<td>".$row['nom_asi']."</td>";
			echo "<td>".$row['nota_def']."</td>";
			echo "<td>".$row['desempenio']."</td>";
			echo "<td>".$row['aprueba']."</td>";
		echo "</tr>";
		$fil++;
	};
	echo "</table>";


	exit;
?>